Issues which share the same parent cannot have relations between each other

2013-04-08 15:52 - Art Jacobson

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues planning Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.3.0

Description

Starting in version 2.3.0 when issues which share a parent issue are assigned a relation to each other, the relation fails with the

error: "This relation would create a circular dependency".  This used to work in previous releases, and is an important part of our

workflow.

I believe this is a regression introduced by issue #8794.  I was able to restore the old behavior by reverting commit r11641 as seen in

the attached patch.

Steps to reproduce:

1. Be running redmine 2.3.0

2. Create 3 new issues (issues 1, 2, and 3)

3. Assign the parent task of of issues 2 and 3 to issue 1

4. Try to add a relation that issue 3 follows issue 2

5. Observe that adding the relation fails with the error: "This relation would create a circular dependency"

Information about my environment:

> RAILS_ENV=production rake about

About your application's environment

Ruby version              1.9.3 (x86_64-darwin10.7.0)

RubyGems version          1.8.25

Rack version              1.4

Rails version             3.2.13

Active Record version     3.2.13

Action Pack version       3.2.13

Active Resource version   3.2.13

Action Mailer version     3.2.13

Active Support version    3.2.13

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock, #<ActiveSupport::Cache:

:Strategy::LocalCache::Middleware:0x00000101df0960>, Rack::Runtime, Rack::MethodOverride, ActionDi

spatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExcep

tions, ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::Conn

ectionManagement, ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::Cook

ieStore, ActionDispatch::Flash, ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::Conditio

nalGet, Rack::ETag, ActionDispatch::BestStandardsSupport, OpenIdAuthentication

Application root          /Users/redmine/redmine-2.3.0

Environment               production

Database adapter          postgresql

Database schema version   20130217094251

Related issues:

Is duplicate of Redmine - Defect #13586: Circular loop testing prevents prece... Closed

History

#1 - 2013-04-08 16:00 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate
https://www.redmine.org/issues/8794
https://www.redmine.org/projects/redmine/repository/svn/revisions/11641


Thanks for the report, this has already been fixed in trunk for #13586.

#2 - 2013-04-22 14:03 - Roman Romanovsky

Hello!

My problem is when i am trying to apply putch which i download from here (issue 13711 run through CR/LF converter), i get the following mistake:

C:\Users\R.Romanovsky>c:\BitNami\redmine-2.3.0-0\git\bin\patch -p0 < c:\BitNami\redmine-2.3.0-0\patchwin.diff

can't find file to patch at input line 1

Perhaps you used the wrong -p or --strip option?

File to patch: c:\BitNami\redmine-2.3.0-0\patchwin.diff

patching file `c:\BitNami\redmine-2.3.0-0\patchwin.diff'

Reversed (or previously applied) patch detected!  Assume -R? [n] n

Apply anyway? [n] y

Hunk #1 FAILED at 579.

Hunk #2 FAILED at 858.

patch: ** can't rename `c:\BitNami\redmine-2.3.0-0\patchwin.diff' to `c:\BitNa

mi\redmine-2.3.0-0\patchwin.diff.orig' : Permission denied

My environment is the following:

Environment:

Redmine version                          2.3.0.stable

Ruby version                             1.9.3 (i386-mingw32)

Rails version                            3.2.13

Environment                              production

Database adapter                         Mysql2

Redmine plugins:

no plugin installed

Operating system Windows 7 Professinal

what am i doing wrong?

Files

patch.diff 763 Bytes 2013-04-08 Art Jacobson

Powered by TCPDF (www.tcpdf.org)

2025-07-07 2/2

https://www.redmine.org/issues/13586
https://www.redmine.org/issues/1
https://www.redmine.org/issues/2
http://www.tcpdf.org

